<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-btn no-caps flat to="/">
          <q-toolbar-title>
            Oxchange
          </q-toolbar-title>
        </q-btn>

        <q-space />

        <!-- <div>Quasar v{{ $q.version }}</div> -->
        <div v-if="$q.screen.gt.sm">
          <q-btn
            no-caps
            flat
            class="q-mx-sm"
            color="white"
            text-color="black"
            label="Find my cylinder"
            to="./search"
          />
          <q-btn
            no-caps
            color="accent"
            text-color="black"
            label="Add cylinders"
            to="/new"
          />
        </div>
      </q-toolbar>
      <q-toolbar v-if="$q.screen.lt.md">
        <div class="row full-width justify-end">
          <q-btn
            no-caps
            flat
            class="q-mx-xs"
            color="white"
            text-color="black"
            label="Find my cylinder"
            to="./search"
          />
          <q-btn
            no-caps
            color="accent"
            text-color="black"
            label="Add cylinders"
            to="/new"
          />
        </div>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
      content-class="bg-grey-1"
    >
      <q-list>
        <q-item-label
          header
          class="text-grey-8"
        >
          Essential Links
        </q-item-label>
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-footer>
      <q-toolbar>
        <div class="row justify-center items-center full-width">
          <q-btn class="col-12 col-md-4" no-caps flat type="a" href="https://gitlab.com/rebhu/rosf/sushrut-codes/triage" target="_blank">
            Made with &#128151; at Rebhu Computing
          </q-btn>
          <!-- <q-toolbar-title class="col-12 col-md-4">
            <q-btn no-caps flat type="a" href="https://gitlab.com/rebhu/rosf/sushrut-codes/triage" target="_blank">
              Made with &#128151; at Rebhu Computing
            </q-btn>
          </q-toolbar-title> -->

          <div class="col-12 col-md-4 offset-md-4 text-center">Copyright 2021 &#169; Rebhu Computing</div>
        </div>
      </q-toolbar>
    </q-footer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script lang="ts">
import EssentialLink from 'components/EssentialLink.vue';

const linksData = [
  {
    title: 'Add my cylinder',
    caption: 'Add O2 related supplies',
    icon: 'support',
    link: 'new'
  },
  {
    title: 'Twitter',
    caption: 'Give feedback and ask for features',
    icon: 'mdi-twitter',
    link: 'https://twitter.com/RebhuComputing'
  },
  {
    title: 'About Us',
    caption: 'Built by Rebhu Computing',
    icon: 'people',
    link: 'https://rebhu.com'
  },
  {
    title: 'Privacy Policy',
    caption: 'How we process data',
    icon: 'shield',
    link: 'privacy'
  },
  {
    title: 'Terms of Service',
    caption: 'Key point: DO NOT make financial transactions without affirmations. We are not liable',
    icon: 'gavel',
    link: 'tos'
  }
]

import { defineComponent, ref } from '@vue/composition-api'

export default defineComponent({
  name: 'MainLayout',
  components: { EssentialLink },
  setup () {
    const leftDrawerOpen = ref(false)
    const essentialLinks = ref(linksData)

    return { leftDrawerOpen, essentialLinks }
  }
})
</script>
